#define CDS_DISPLAY_IDD 12700
#define CDS_BG_IDC 12701
#define CDS_TITLE_IDC 12702
#define CDS_CANCEL_IDC 12703
#define CDS_OK_IDC 12704

class CDS_CtrlText {
	idc = -1;
	type = 0;
	style = 1;
	x = 0;
	y = 0;
	w = 0.1;
	h = 0.05;
	font = "RobotoCondensed";
	sizeEx = (((((safezoneW / safezoneH) min 1.2) / 1.2) / 25) * 1);
	colorBackground[] = {0,0,0,0};
	colorText[] = {1,1,1,1};
	text = "";
	fixedWidth = 0;
	shadow = 0;
	tooltipColorBox[] = {1,1,1,1};
	tooltipColorShade[] = {0,0,0,0.65};
	tooltipColorText[] = {1,1,1,1};
};

class CDS_Dialog {
	idd = CDS_DISPLAY_IDD;

	class ControlsBackground {
		class CDS_BG {
			type = 0;
			idc = CDS_BG_IDC;
			x = 0;
			y = 0;
			w = 0;
			h = 0;
			style = 0;
			text = "";
			colorBackground[] = {0,0,0,0.85};
			colorText[] = {1,1,1,1};
			font = "RobotoCondensed";
			sizeEx = 0.1;
		};
	};

	class Controls {
		class CDS_TITLE {
			type = 0;
			idc = CDS_TITLE_IDC;
			x = 0;
			y = 0.5;
			w = 1;
			h = 0.05;
			style = 0;
			text = "Custom Dialog";
			colorBackground[] = {0,0,0,0.8};
			colorText[] = {1,1,1,1};
			font = "PuristaSemibold";
			sizeEx = (((((safezoneW / safezoneH) min 1.2) / 1.2) / 25) * 1.1);
		};
		class CDS_CANCEL {
			type = 1;
			idc = CDS_CANCEL_IDC;
			x = 0;
			y = 0.5;
			w = 0.2;
			h = 0.05;
			style = 2;
			text = "CANCEL";
			onButtonClick = "closeDialog 0;";
			borderSize = 0;
			colorBackground[] = {0,0,0,1};
			colorBackgroundActive[] = {0.4,0.4,0.4,1};
			colorBackgroundDisabled[] = {0,0,0,1};
			colorBorder[] = {0,0,0,0};
			colorDisabled[] = {0,0,0,1};
			colorFocused[] = {0.2,0.2,0.2,1};
			colorShadow[] = {0,0,0,0};
			colorText[] = {1,1,1,1};
			font = "PuristaSemibold";
			offsetPressedX = 0;
			offsetPressedY = 0;
			offsetX = 0;
			offsetY = 0;
			sizeEx = (((((safezoneW / safezoneH) min 1.2) / 1.2) / 25) * 1);
			soundClick[] = {"\A3\ui_f\data\sound\RscButton\soundClick",0.09,1.0};
			soundEnter[] = {"\A3\ui_f\data\sound\RscButton\soundEnter",0.09,1.0};
			soundEscape[] = {"\A3\ui_f\data\sound\RscButton\soundEscape",0.09,1.0};
			soundPush[] = {"\A3\ui_f\data\sound\RscButton\soundPush",0.09,1.0};
		};
		class CDS_OK{
			type = 1;
			idc = CDS_OK_IDC;
			x = 0.8;
			y = 0.5;
			w = 0.2;
			h = 0.05;
			style = 2;
			text = "OK";
			onButtonClick = "CDS_OK = true; closeDialog 0;";
			borderSize = 0;
			colorBackground[] = {0,0,0,1};
			colorBackgroundActive[] = {0.4,0.4,0.4,1};
			colorBackgroundDisabled[] = {0,0,0,1};
			colorBorder[] = {0,0,0,0};
			colorDisabled[] = {0,0,0,1};
			colorFocused[] = {0.2,0.2,0.2,1};
			colorShadow[] = {0,0,0,0};
			colorText[] = {1,1,1,1};
			font = "PuristaSemibold";
			offsetPressedX = 0;
			offsetPressedY = 0;
			offsetX = 0;
			offsetY = 0;
			sizeEx = (((((safezoneW / safezoneH) min 1.2) / 1.2) / 25) * 1);
			soundClick[] = {"\A3\ui_f\data\sound\RscButton\soundClick",0.09,1.0};
			soundEnter[] = {"\A3\ui_f\data\sound\RscButton\soundEnter",0.09,1.0};
			soundEscape[] = {"\A3\ui_f\data\sound\RscButton\soundEscape",0.09,1.0};
			soundPush[] = {"\A3\ui_f\data\sound\RscButton\soundPush",0.09,1.0};
		};
	};
};
